> ## Documentation Index
> Fetch the complete documentation index at: https://www.ayrshare.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Media in Gallery

> Retrieve all images and videos uploaded to your media gallery, including resized images, with each file's id, URL, size, file name, description, and expiration.

Retrieve all the images uploaded to the image gallery including resized images.

## Header Parameters

**Authorization** `string` *required*

[API Key](https://www.ayrshare.com/docs/apis/overview.md#authorization) of the Primary Profile.

Format: `Authorization: Bearer API_KEY`
**Profile-Key** `string`

[Profile Key](https://www.ayrshare.com/docs/apis/overview.md#profile-key-format) of a User Profile.

Format: `Profile-Key: PROFILE_KEY`

```bash cURL theme={"system"}
curl \
-H "Authorization: Bearer [API Key]" \
-X GET https://api.ayrshare.com/api/media
```

```javascript JavaScript theme={"system"}
const API_KEY = "Your API Key";

fetch("https://api.ayrshare.com/api/media", {
      method: "GET",
      headers: {
        "Authorization": `Bearer ${API_KEY}`
      }
    })
      .then((res) => res.json())
      .then((json) => console.log(json))
      .catch(console.error);
```

```python Python theme={"system"}
import requests

headers = {'Authorization': 'Bearer [API_KEY]'}

r = requests.get('https://api.ayrshare.com/api/media', headers=headers)

print(r.json())
```

```php PHP theme={"system"}
<?php
require 'vendor/autoload.php';    // Composer auto-loader using Guzzle. See .../guzzlephp.org/en/stable/overview.html

$client = new GuzzleHttp\Client();
$res = $client->request(
    'GET',
    'https://api.ayrshare.com/api/media',
    [
        'headers' => [
            'Content-Type'      => 'application/json',
            'Authorization'     => 'Bearer API_KEY'
        ]
    ]
);

echo json_encode(json_decode($res->getBody()), JSON_PRETTY_PRINT);
```

```csharp C# theme={"system"}
using System;
using System.Net.Http;
using System.Threading.Tasks;

namespace MediaGETRequest_csharp
{
    class Media
    {
        static async Task Main(string[] args)
        {
            string API_KEY = "API_KEY";
            string url = "https://api.ayrshare.com/api/media";

            using (var client = new HttpClient())
            {
                client.DefaultRequestHeaders.Add("Authorization", "Bearer " + API_KEY);
                
                try
                {
                    HttpResponseMessage response = await client.GetAsync(url);
                    response.EnsureSuccessStatusCode();
                    string responseBody = await response.Content.ReadAsStringAsync();
                    Console.WriteLine(responseBody);
                }
                catch (HttpRequestException e)
                {
                    Console.WriteLine($"Error: {e.Message}");
                }
            }
        }
    }
}
```

```javascript 200: Array of images in the image gallery theme={"system"}
[
    {
        "id": "5553a26a-cffb-4a31-bd89-dee296d35648-jpeg",
        "timeCreated": "2025-07-30T20:23:49.774Z",
        "size": "223340",
        "url": "https://images.ayrshare.com/LW8kx9Q5smXeJl5CujF7DxFAF1q1/5553a26a-cffb-4a31-bd89-dee296d35648.jpeg",
        "fileName": "test1.jpeg",
        "description": "Test1",
        "expiresAt": "2025-09-05T22:00:48.000Z" // The date and time the media will expire
    },
    {
        "id": "93383cc7-7a15-4d16-a5fa-fdda1f9bebe2-jpeg",
        "timeCreated": "2025-07-30T20:24:57.421Z",
        "size": "223340",
        "url": "https://images.ayrshare.com/LW8kx9Q5smXeJl5CujF7DxFAF1q1/93383cc7-7a15-4d16-a5fa-fdda1f9bebe2.jpeg",
        "fileName": "test2.jpeg",
        "description": "Test2",
        "expiresAt": "2025-09-05T22:00:48.000Z" // The date and time the media will expire
    }
]
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.